{% extends "base_generic.html" %}
{% block title %}
    Assessments for {{ course.title }}
{% endblock title %}
{% block content %}
    <div class="row justify-content-center mb-4">
        <div class="col-md-4">
            <div class="text-center">
                <a {% if user.is_authenticated and user.is_teacher and user == course.teacher %} class="btn btn-warning" {% else %} class="btn btn-warning disabled" {% endif %}
                   href="{% url 'myg:assessment-create' course.id %}">
                    <i class="fa-solid fa-plus"></i> Create
                </a>
            </div>
        </div>
    </div>
    <div class="row justify-content-center mb-5">
        <div class="col-md-6">
            {% if object_list %}
                <ol>
                    {% for assessment in object_list %}
                        <li>
                            <a href="{% url 'myg:assessment-detail' course_id=assessment.course.id pk=assessment.id %}">{{ assessment.title }}</a>
                        </li>
                    {% endfor %}
                </ol>
            {% else %}
                <p>No Assessments are available.</p>
            {% endif %}
        </div>
    </div>
{% endblock content %}
